#pragma once
#include <map>
struct M_PopupCFGData
{
	//界面Key
	std::string mKey;
	//场景进入（登录，游戏）
	std::string mScene;
	//奖励开关
	int mRewardCon;
	//额外描述
	std::string mOtherDes;
	//排序
	int mOder;
	//渠道
	std::vector<std::string> mChannel;
};

class M_PopupCFG
{
public:
private:
	static std::auto_ptr<M_PopupCFG> msSingleton;
public:
	int GetCount();
	const M_PopupCFGData* GetData(std::string Key);
	const std::map<std::string, M_PopupCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_PopupCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_PopupCFGData> mMapData;
};
